Jump to content

  • Log In with Google      Sign In   
  • Create Account

We're offering banner ads on our site from just $5!

1. Details HERE. 2. GDNet+ Subscriptions HERE. 3. Ad upload HERE.


vce C# 2010:cant install openTK, help.


Old topic!
Guest, the last post of this topic is over 60 days old and at this point you may not reply in this topic. If you wish to continue this conversation start a new topic.

  • You cannot reply to this topic
4 replies to this topic

#1 nickme   Members   -  Reputation: 205

Like
0Likes
Like

Posted 06 December 2012 - 03:42 PM

hi,

i downloaded opentk and tried to install it w/o success. according to the errors log that i attached below, i needed to install vs 2008 first. but, if i am going to use vs 2010, why do i have to install 2008?

i really like to use opentk with c#.

thanks

Attached Thumbnails

  • Screenshot (98).png
  • Screenshot (100).png


Sponsor:

#2 nickme   Members   -  Reputation: 205

Like
0Likes
Like

Posted 06 December 2012 - 03:45 PM

i am sorry, i attached the error log but it did not get it. i will include the file here.

12/6/2012 12:27:17 PM - Microsoft VSIX Installer
12/6/2012 12:27:17 PM - -------------------------------------------
12/6/2012 12:27:17 PM - Initializing Install...
12/6/2012 12:27:17 PM - Extension Details...
12/6/2012 12:27:17 PM - Identifier : NShader.51a01e9d-eb56-4ee2-a9fd-8212bf6bf2b1
12/6/2012 12:27:17 PM - Name : NShader
12/6/2012 12:27:17 PM - Author : Alexandre Mutel
12/6/2012 12:27:17 PM - Version : 1.1
12/6/2012 12:27:17 PM - Description : NShader is an extension to Visual Studio 2008/2010 that provides syntax highlighting for various shader languages including HLSL - GLSL - CG
12/6/2012 12:27:17 PM - Locale : en-US
12/6/2012 12:27:17 PM - MoreInfoURL : http://nshader.codeplex.com/
12/6/2012 12:27:17 PM - InstalledByMSI : False
12/6/2012 12:27:17 PM - SupportedFrameworkVersionRange : [4.0]
12/6/2012 12:27:17 PM -
12/6/2012 12:27:17 PM - Supported Products :
12/6/2012 12:27:17 PM - Microsoft.VisualStudio.Ultimate
12/6/2012 12:27:17 PM - Version : [10.0]
12/6/2012 12:27:17 PM - Microsoft.VisualStudio.Premium
12/6/2012 12:27:17 PM - Version : [10.0]
12/6/2012 12:27:17 PM - Microsoft.VisualStudio.Pro
12/6/2012 12:27:17 PM - Version : [10.0]
12/6/2012 12:27:17 PM -
12/6/2012 12:27:17 PM - References :
12/6/2012 12:27:17 PM -
12/6/2012 12:27:17 PM - Searching for applicable products...
12/6/2012 12:27:17 PM - Found installed product - Microsoft Visual C# Express 2010
12/6/2012 12:27:17 PM - Found installed product - Microsoft Visual C++ Express 2010
12/6/2012 12:27:17 PM - Found installed product - Microsoft Visual Studio 2010 Express for Windows Phone
12/6/2012 12:27:17 PM - Found installed product - Microsoft Visual Studio Express 2012 for Windows 8
12/6/2012 12:27:17 PM - Found installed product - Microsoft Visual Studio Express 2012 for Windows Phone
12/6/2012 12:27:17 PM - Found installed product - Microsoft Visual Studio Express 2012 for Windows Desktop
12/6/2012 12:27:17 PM - Found installed product - Global Location
12/6/2012 12:27:17 PM - VSIXInstaller.NoApplicableSKUsException: This extension is not installable on any currently installed products.
at VSIXInstaller.App.InitializeInstall()
at System.Threading.Tasks.Task.InnerInvoke()
at System.Threading.Tasks.Task.Execute()

Edited by nickme, 06 December 2012 - 03:46 PM.


#3 Nypyren   Crossbones+   -  Reputation: 4791

Like
0Likes
Like

Posted 06 December 2012 - 04:43 PM

The more important problem is that no version of Visual * Express supports third party plugins.

You can use the Visual Studio Shell to install plugins if you're using something like a full language implementation like Amethyst, but Visual Studio Shell doesn't include any languages (C++, C#, etc), so it's mostly only useful if the plugin you're trying to use is a full language itself. I haven't used NShader, but it sounds like it might treat shader files as languages.

#4 Zipster   Crossbones+   -  Reputation: 875

Like
0Likes
Like

Posted 07 December 2012 - 12:27 PM

Disable the options to install NShader 1.x and it should install just fine.

#5 nickme   Members   -  Reputation: 205

Like
0Likes
Like

Posted 07 December 2012 - 07:22 PM

hi,

thanks zipster.




Old topic!
Guest, the last post of this topic is over 60 days old and at this point you may not reply in this topic. If you wish to continue this conversation start a new topic.



PARTNERS